Bug 58671 - LEFilter change doesn't compile on ARM neon targets
Summary: LEFilter change doesn't compile on ARM neon targets
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-15 10:19 PDT by Jonathan Kliegman
Modified: 2011-04-20 15:27 PDT (History)
7 users (show)

See Also:


Attachments
Patch to WebCore/WebCore.gypi (713 bytes, patch)
2011-04-15 17:03 PDT, Charlie Lee
no flags Details | Formatted Diff | Diff
Patch to WebCore/WebCore.gyp/WebCore.gyp (516 bytes, application/octet-stream)
2011-04-20 12:47 PDT, Charlie Lee
no flags Details
Patch to WebCore/WebCore.gyp/WebCore.gyp (516 bytes, application/octet-stream)
2011-04-20 12:51 PDT, Charlie Lee
no flags Details
Patch to WebCore/WebCore.gyp/WebCore.gyp (516 bytes, patch)
2011-04-20 12:52 PDT, Charlie Lee
no flags Details | Formatted Diff | Diff
Patch to WebCore/WebCore.gyp/WebCore.gyp (495 bytes, patch)
2011-04-20 12:53 PDT, Charlie Lee
no flags Details | Formatted Diff | Diff
Patch to WebCore/WebCore.gyp/WebCore.gyp (1.10 KB, patch)
2011-04-20 13:28 PDT, Charlie Lee
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Kliegman 2011-04-15 10:19:07 PDT
The original change was implemented from: https://bugs.webkit.org/show_bug.cgi?id=54456

From http://chromegw.corp.google.com/i/chromiumos/builders/arm%20generic%20binary/builds/4126/steps/cbuildbot/logs/stdio

chromeos-chrome-12.0.737.0_rc-r1:   armv7a-cros-linux-gnueabi-g++ -fuse-ld=gold '-DNO_TCMALLOC' '-DNO_HEAPCHECKER' '-DDISABLE_NACL' '-DCHROMIUM_BUILD' '-DTOOLKIT_VIEWS=1' '-DOS_CHROMEOS=1' '-DENABLE_REMOTING=1' '-DENABLE_FLAPPER_HACKS=1' '-DENABLE_GPU=1' '-DENABLE_EGLIMAGE=1' '-DWEBCORE_NAVIGATOR_VENDOR="Google Inc."' '-DWEBCORE_NAVIGATOR_PLATFORM="Linux i686"' '-DENABLE_3D_PLUGIN=1' '-DENABLE_BLOB=1' '-DENABLE_BLOB_SLICE=1' '-DENABLE_CHANNEL_MESSAGING=1' '-DENABLE_CLIENT_BASED_GEOLOCATION=1' '-DENABLE_DASHBOARD_SUPPORT=0' '-DENABLE_DATABASE=1' '-DENABLE_DATAGRID=0' '-DENABLE_DATA_TRANSFER_ITEMS=1' '-DENABLE_DEVICE_ORIENTATION=1' '-DENABLE_DIRECTORY_UPLOAD=1' '-DENABLE_DOM_STORAGE=1' '-DENABLE_EVENTSOURCE=1' '-DENABLE_JAVASCRIPT_I18N_API=1' '-DENABLE_FILE_SYSTEM=1' '-DENABLE_FILTERS=1' '-DENABLE_FULLSCREEN_API=1' '-DENABLE_GEOLOCATION=1' '-DENABLE_ICONDATABASE=0' '-DENABLE_INDEXED_DATABASE=1' '-DENABLE_INPUT_SPEECH=1' '-DENABLE_JAVASCRIPT_DEBUGGER=1' '-DENABLE_JSC_MULTIPLE_THREADS=0' '-DENABLE_LEVELDB=1' '-DENABLE_LINK_PREFETCH=1' '-DENABLE_METER_TAG=1' '-DENABLE_MEDIA_STATISTICS=1' '-DENABLE_MEDIA_STREAM=1' '-DENABLE_NOTIFICATIONS=1' '-DENABLE_OFFLINE_WEB_APPLICATIONS=1' '-DENABLE_OPENTYPE_SANITIZER=1' '-DENABLE_ORIENTATION_EVENTS=0' '-DENABLE_PROGRESS_TAG=1' '-DENABLE_REQUEST_ANIMATION_FRAME=1' '-DENABLE_RUBY=1' '-DENABLE_SANDBOX=1' '-DENABLE_SHARED_WORKERS=1' '-DENABLE_SKIA_GPU=0' '-DENABLE_SVG=1' '-DENABLE_SVG_ANIMATION=1' '-DENABLE_SVG_AS_IMAGE=1' '-DENABLE_SVG_FONTS=1' '-DENABLE_SVG_FOREIGN_OBJECT=1' '-DENABLE_SVG_USE=1' '-DENABLE_TOUCH_EVENTS=1' '-DENABLE_V8_SCRIPT_DEBUG_SERVER=1' '-DENABLE_VIDEO=1' '-DENABLE_WEB_SOCKETS=1' '-DENABLE_WEB_TIMING=1' '-DENABLE_WEBGL=1' '-DENABLE_WORKERS=1' '-DENABLE_XHR_RESPONSE_BLOB=1' '-DENABLE_XPATH=1' '-DENABLE_XSLT=1' '-DWTF_USE_BUILTIN_UTF8_CODEC=1' '-DWTF_USE_WEBP=1' '-DWTF_USE_WEBKIT_IMAGE_DECODERS=1' '-DWTF_USE_ACCELERATED_COMPOSITING=1' '-DENABLE_3D_RENDERING=1' '-DENABLE_ACCELERATED_2D_CANVAS=1' '-DBUILDING_CHROMIUM__=1' '-DUSE_SYSTEM_MALLOC=1' '-DWTF_USE_PTHREADS=1' '-DU_USING_ICU_NAMESPACE=0' '-DU_STATIC_IMPLEMENTATION' '-DSK_BUILD_NO_IMAGE_ENCODE' '-DGR_GL_CUSTOM_SETUP_HEADER="GrGLConfig_chrome.h"' '-DGR_AGGRESSIVE_SHADER_OPTS=1' '-DUSE_SYSTEM_LIBPNG' '-DLIBXML_STATIC' '-DLIBXSLT_STATIC' '-DUSE_SYSTEM_LIBJPEG' '-D__STDC_FORMAT_MACROS' '-DNDEBUG' '-DNVALGRIND' '-DDYNAMIC_ANNOTATIONS_ENABLED=0' -Ithird_party/icu/public/common -Ithird_party/icu/public/i18n -Igpu -I. -Ic/Release/obj.target/geni -Ithird_party/WebKit/Source/WebCore -Ithird_party/WebKit/Source -Ithird_party/WebKit/Source/WebCore/accessibility -Ithird_party/WebKit/Source/WebCore/accessibility/chromium -Ithird_party/WebKit/Source/WebCore/bindings -Ithird_party/WebKit/Source/WebCore/bindings/generic -Ithird_party/WebKit/Source/WebCore/bindings/v8 -Ithird_party/WebKit/Source/WebCore/bindings/v8/custom -Ithird_party/WebKit/Source/WebCore/bindings/v8/specialization -Ithird_party/WebKit/Source/WebCore/bridge -Ithird_party/WebKit/Source/WebCore/bridge/jni -Ithird_party/WebKit/Source/WebCore/bridge/jni/v8 -Ithird_party/WebKit/Source/WebCore/css -Ithird_party/WebKit/Source/WebCore/dom -Ithird_party/WebKit/Source/WebCore/dom/default -Ithird_party/WebKit/Source/WebCore/editing -Ithird_party/WebKit/Source/WebCore/fileapi -Ithird_party/WebKit/Source/WebCore/history -Ithird_party/WebKit/Source/WebCore/html -Ithird_party/WebKit/Source/WebCore/html/canvas -Ithird_party/WebKit/Source/WebCore/html/parser -Ithird_party/WebKit/Source/WebCore/html/shadow -Ithird_party/WebKit/Source/WebCore/inspector -Ithird_party/WebKit/Source/WebCore/loader -Ithird_party/WebKit/Source/WebCore/loader/appcache -Ithird_party/WebKit/Source/WebCore/loader/archive -Ithird_party/WebKit/Source/WebCore/loader/cache -Ithird_party/WebKit/Source/WebCore/loader/icon -Ithird_party/WebKit/Source/WebCore/mathml -Ithird_party/WebKit/Source/WebCore/notifications -Ithird_party/WebKit/Source/WebCore/page -Ithird_party/WebKit/Source/WebCore/page/animation -Ithird_party/WebKit/Source/WebCore/page/chromium -Ithird_party/WebKit/Source/WebCore/platform -Ithird_party/WebKit/Source/WebCore/platform/animation -Ithird_party/WebKit/Source/WebCore/platform/audio -Ithird_party/WebKit/Source/WebCore/platform/audio/chromium -Ithird_party/WebKit/Source/WebCore/platform/chromium -Ithird_party/WebKit/Source/WebCore/platform/graphics -Ithird_party/WebKit/Source/WebCore/platform/graphics/chromium -Ithird_party/WebKit/Source/WebCore/platform/graphics/filters -Ithird_party/WebKit/Source/WebCore/platform/graphics/gpu -Ithird_party/WebKit/Source/WebCore/platform/graphics/opentype -Ithird_party/WebKit/Source/WebCore/platform/graphics/skia -Ithird_party/WebKit/Source/WebCore/platform/graphics/transforms -Ithird_party/WebKit/Source/WebCore/platform/image-decoders -Ithird_party/WebKit/Source/WebCore/platform/image-decoders/bmp -Ithird_party/WebKit/Source/WebCore/platform/image-decoders/gif -Ithird_party/WebKit/Source/WebCore/platform/image-decoders/ico -Ithird_party/WebKit/Source/WebCore/platform/image-decoders/jpeg -Ithird_party/WebKit/Source/WebCore/platform/image-decoders/png -Ithird_party/WebKit/Source/WebCore/platform/image-decoders/skia -Ithird_party/WebKit/Source/WebCore/platform/image-decoders/xbm -Ithird_party/WebKit/Source/WebCore/platform/image-decoders/webp -Ithird_party/WebKit/Source/WebCore/platform/image-encoders/skia -Ithird_party/WebKit/Source/WebCore/platform/mock -Ithird_party/WebKit/Source/WebCore/platform/network -Ithird_party/WebKit/Source/WebCore/platform/network/chromium -Ithird_party/WebKit/Source/WebCore/platform/sql -Ithird_party/WebKit/Source/WebCore/platform/text -Ithird_party/WebKit/Source/WebCore/platform/text/transcoder -Ithird_party/WebKit/Source/WebCore/plugins -Ithird_party/WebKit/Source/WebCore/plugins/chromium -Ithird_party/WebKit/Source/WebCore/rendering -Ithird_party/WebKit/Source/WebCore/rendering/style -Ithird_party/WebKit/Source/WebCore/rendering/svg -Ithird_party/WebKit/Source/WebCore/storage -Ithird_party/WebKit/Source/WebCore/storage/chromium -Ithird_party/WebKit/Source/WebCore/svg -Ithird_party/WebKit/Source/WebCore/svg/animation -Ithird_party/WebKit/Source/WebCore/svg/graphics -Ithird_party/WebKit/Source/WebCore/svg/graphics/filters -Ithird_party/WebKit/Source/WebCore/svg/properties -Ithird_party/WebKit/Source/ThirdParty/glu -Ithird_party/WebKit/Source/WebCore/webaudio -Ithird_party/WebKit/Source/WebCore/websockets -Ithird_party/WebKit/Source/WebCore/workers -Ithird_party/WebKit/Source/WebCore/xml -Ithird_party/angle/include/GLSLANG -Ic/Release/obj/gen/webkit -Ic/Release/obj/gen/webkit/bindings -Ithird_party/WebKit/Source/JavaScriptCore -Ithird_party/WebKit/Source/JavaScriptCore/wtf -Iskia/config -Ithird_party/skia/include/config -Ithird_party/skia/include/core -Ithird_party/skia/include/effects -Ithird_party/skia/include/pdf -Ithird_party/skia/include/gpu -Ithird_party/skia/include/ports -Ithird_party/skia/gpu/include -Iskia/ext -Ithird_party/iccjpeg -Ithird_party/libwebp -Ithird_party/libxml/linux/include -Ithird_party/libxml/src/include -Ithird_party/libxslt -Ithird_party/npapi -Ithird_party/npapi/bindings -Ithird_party/ots/include -Ithird_party/sqlite -Iv8/include -Ithird_party/leveldb/include -Ithird_party/harfbuzz/contrib -Ithird_party/harfbuzz/src -Wno-uninitialized -Werror -pthread -fno-exceptions -Wall -Wno-unused-parameter -Wno-missing-field-initializers -D_FILE_OFFSET_BITS=64 -fvisibility=hidden -pipe -fPIC -fno-strict-aliasing -fno-strict-aliasing -I/build/arm-generic/usr/include/libpng12 -I/build/arm-generic/usr/include -pthread -I/build/arm-generic/usr/include/gtk-2.0 -I/build/arm-generic/usr/lib/gtk-2.0/include -I/build/arm-generic/usr/include/atk-1.0 -I/build/arm-generic/usr/include/cairo -I/build/arm-generic/usr/include/pango-1.0 -I/build/arm-generic/usr/include/glib-2.0 -I/build/arm-generic/usr/lib/glib-2.0/include -I/build/arm-generic/usr/include/pixman-1 -I/build/arm-generic/usr/include/freetype2 -I/build/arm-generic/usr/include -I/build/arm-generic/usr/include/libpng12 -march=armv7-a -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon --sysroot=/build/arm-generic/ -O2 -fno-ident -fdata-sections -ffunction-sections -fno-rtti -fno-threadsafe-statics -fvisibility-inlines-hidden -Wno-abi -MMD -MF c/Release/.deps/c/Release/obj.target/webcore_platform/third_party/WebKit/Source/WebCore/platform/graphics/filters/FELighting.o.d.raw -O2 -pipe -I/build/arm-generic/usr/include/ -I/build/arm-generic/include/ -ggdb -march=armv7-a -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -c -o c/Release/obj.target/webcore_platform/third_party/WebKit/Source/WebCore/platform/graphics/filters/FELighting.o third_party/WebKit/Source/WebCore/platform/graphics/filters/FELighting.cpp
chromeos-chrome-12.0.737.0_rc-r1: third_party/WebKit/Source/WebCore/platform/graphics/filters/FELighting.cpp:37:28: error: FELightingNEON.h: No such file or directory
Comment 1 Zoltan Herczeg 2011-04-15 12:23:31 PDT
Wow, you actually have neon builds? I am happy to hear that.

Just add the two files in the /arm directory to your build system and that would fix it.
Comment 2 Charlie Lee 2011-04-15 17:03:46 PDT
Created attachment 89884 [details]
Patch to WebCore/WebCore.gypi

The fix is attached.
Comment 3 Zoltan Herczeg 2011-04-15 22:10:19 PDT
The patch is good. Just add a ChangeLog and you can commit it as an unreviewd build fix.
Comment 4 David Levin 2011-04-18 09:21:54 PDT
Sounds like this was committed already so resolving as fixed.
Comment 5 Zoltan Herczeg 2011-04-19 01:26:24 PDT
Landed in http://trac.webkit.org/changeset/84228
Comment 6 Jonathan Kliegman 2011-04-20 10:42:49 PDT
http://trac.webkit.org/changeset/84228 does not appear to resolve the bug.  The include file is still not found.
Comment 7 Charlie Lee 2011-04-20 12:47:37 PDT
Created attachment 90387 [details]
Patch to WebCore/WebCore.gyp/WebCore.gyp

We need this additonal patch to fix the includes.
Comment 8 Charlie Lee 2011-04-20 12:51:45 PDT
Created attachment 90388 [details]
Patch to WebCore/WebCore.gyp/WebCore.gyp
Comment 9 Charlie Lee 2011-04-20 12:52:28 PDT
Created attachment 90389 [details]
Patch to WebCore/WebCore.gyp/WebCore.gyp
Comment 10 Dirk Schulze 2011-04-20 12:53:15 PDT
(In reply to comment #7)
> Created an attachment (id=90387) [details]
> Patch to WebCore/WebCore.gyp/WebCore.gyp
> 
> We need this additonal patch to fix the includes.

The fix looks good. Just some notes. You must upload your fix as patch, not as application/octet-stream. Every fix needs a ChangeLog entry. Please create this with:

Tools/Scripts/prepareChangelog --bug58671 --email=<your email>

and add a comment to the ChangeLog. Something like "Build fix for Chromium on Neon platform. Added filter/arm directory to build system."

Upload the patch with:

Tools/Scripts/webkit-patch upload

Thanks.
Comment 11 Charlie Lee 2011-04-20 12:53:50 PDT
Created attachment 90390 [details]
Patch to WebCore/WebCore.gyp/WebCore.gyp
Comment 12 Charlie Lee 2011-04-20 13:28:33 PDT
Created attachment 90398 [details]
Patch to WebCore/WebCore.gyp/WebCore.gyp
Comment 13 Dirk Schulze 2011-04-20 13:32:47 PDT
Comment on attachment 90398 [details]
Patch to WebCore/WebCore.gyp/WebCore.gyp

r=me. Great fix!
Comment 14 WebKit Commit Bot 2011-04-20 15:26:58 PDT
Comment on attachment 90398 [details]
Patch to WebCore/WebCore.gyp/WebCore.gyp

Clearing flags on attachment: 90398

Committed r84426: <http://trac.webkit.org/changeset/84426>
Comment 15 WebKit Commit Bot 2011-04-20 15:27:04 PDT
All reviewed patches have been landed.  Closing bug.